
QGIS Application - Bug report #16193

The new searchbox in the Layer properties dialog prevents minimization of the icons left panel

2017-02-14 03:37 PM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.4.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24103

Description

The screenshot might be more explanatory

Other dialogs (Options, Raster(didn't check)) might be also concerned

Associated revisions

Revision 6fa87823 - 2017-02-20 10:06 AM - Denis Rouzaud

[fix #16193] allow minimization of left panel in option dialogs

History

#1 - 2017-02-16 03:44 AM - Denis Rouzaud

Thanks for reporting. 

Will take care of this ASAP, next week. 

I think it could be possible to set minimum width to 0 if there is no text in in the line edit. Will try. Sorry for the delay.

#2 - 2017-02-20 01:04 AM - Denis Rouzaud

- Status changed from Open to Closed

Fixed in changeset commit:"6fa878233b1d02c60b80cabf45775b71cff2dc06".

#3 - 2017-05-26 10:47 AM - Alessandro Pasotti

- Description updated

- Regression? changed from No to Yes

- Status changed from Closed to Reopened

- Priority changed from Normal to High

The bug is still there in master, it affects all dialogs that use QgsOptionsDialogBase (layer properties, about, options ....)

#4 - 2017-10-23 11:19 AM - Alexander Bruy

This is still an issue on master. While I can minimize left panel manually, its state is not preserved when dialog opened next time
#5 - 2018-12-28 12:24 PM - Paolo Cavallini

Could you please check again on current release?

Thanks.

#6 - 2018-12-28 02:57 PM - Giovanni Manghi

- Status changed from Reopened to Feedback

Paolo Cavallini wrote:

Could you please check again on current release?

Thanks.

Please change status to "feedback" when needed.

#7 - 2019-03-02 09:28 AM - Harrissou Santanna

- File options_searchbox resize.png added

- Status changed from Feedback to Open

- Priority changed from High to Normal

It's still there, in 3.4.4 (see screenshot with options dialog)

#8 - 2019-03-02 11:14 AM - Giovanni Manghi

- Affected QGIS version changed from master to 3.4.4

- Assignee deleted (Denis Rouzaud)

- Regression? changed from Yes to No

Files

searchbox.png 24.5 KB 2017-02-14 Harrissou Santanna

options_searchbox resize.png 120 KB 2019-03-02 Harrissou Santanna
